View Issue Details

IDProjectCategoryView StatusLast Update
0029698LazarusInstallerpublic2018-07-17 00:07
ReporterSteffen MeyerAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWin64OSWindowsOS Version7 pro
Product Version1.6Product BuildRC 
Target Version1.6.2Fixed in Version1.7 (SVN) 
Summary0029698: installer does not install windres.exe
DescriptionThe installation does not install the windres.exe resource compiler. Projects including an {$R *.rc} option fail to compile.
Steps To Reproducerun the installer
check folder lazarus\fpc\3.0.0\bin\x86_64-win64
Additional InformationI have attached a screen shot of the bin directory, just in case that there are other files missing.
TagsNo tags attached.
Fixed in Revision52135
LazTarget1.6.2
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0032015 resolvedMartin Friebe Installer doesn't install the 'windres.h' file into the FPC binary directory 

Activities

Steffen Meyer

2016-02-22 08:22

reporter  

fpcbin.png (171,694 bytes)
fpcbin.png (171,694 bytes)

Martin Friebe

2016-02-22 19:42

manager  

windres.zip (396,603 bytes)

Martin Friebe

2016-02-22 19:43

manager   ~0090196

3 files needed / attached (zip) for now as workaround until fixed

Steffen Meyer

2016-02-23 22:56

reporter   ~0090237

Thanks,

dropping in the executables gets me working.

Cyrax

2016-03-06 15:42

reporter   ~0090689

Related files to windres needs to uploaded to fpcbuild SVN repository in both /trunk/install/binw64 and /branches/fixes_3_0/install/binw64 locations.

Issue History

Date Modified Username Field Change
2016-02-22 08:22 Steffen Meyer New Issue
2016-02-22 08:22 Steffen Meyer File Added: fpcbin.png
2016-02-22 19:36 Martin Friebe LazTarget => -
2016-02-22 19:36 Martin Friebe Status new => acknowledged
2016-02-22 19:42 Martin Friebe File Added: windres.zip
2016-02-22 19:43 Martin Friebe Note Added: 0090196
2016-02-23 22:56 Steffen Meyer Note Added: 0090237
2016-03-06 15:42 Cyrax Note Added: 0090689
2016-04-07 01:56 Martin Friebe Assigned To => Martin Friebe
2016-04-07 01:56 Martin Friebe Status acknowledged => assigned
2016-04-07 02:02 Martin Friebe Fixed in Revision => 52135
2016-04-07 02:02 Martin Friebe LazTarget - => 1.6.2
2016-04-07 02:02 Martin Friebe Status assigned => resolved
2016-04-07 02:02 Martin Friebe Fixed in Version => 1.7 (SVN)
2016-04-07 02:02 Martin Friebe Resolution open => fixed
2016-04-07 02:02 Martin Friebe Target Version => 1.6.2
2017-10-09 17:34 Juha Manninen Relationship added related to 0032015